Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024502
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2013-08-07 12:462013-08-16 20:32
ReporterplujanView Statuspublic 
Assigned ToAugustoMauch 
PrioritynormalResolutionfixedFixed in Version3.0MP27
StatusclosedFix in branchFixed in SCM revision8b3d1a079183
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelAutomated tests
Regression date2013-07-30
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/1724b65a331a [^]
Triggers an Emergency PackNo
Summary

0024502: TestRegistry object changes to "undefined" causing the selenium tests to fail

DescriptionThe issue is causing this error at Integration: http://builds.openbravo.com/job/int-gui-pgsql/1329/testReport/junit/com.openbravo.test.integration.erp.modules.client.application.testsuites.standardview.grid/GRD0110_MoveToNextRecordWhileEditingInGrid/nextRecordShouldSelectedForEdition_0_/ [^]

See steps to reproduce it manually.
Steps To Reproduce1. As System Administrator, go to Unit of Measure window
2. Filter by name "Lab". Two results should be visible
3. Select the first one "Labour Day"
4. Open the javascript console (*) and execute: window.OB.TestRegistry.registry['org.openbravo.client.application.ViewGrid_133'].selection.lastSelectionItem.editColumnLayout.children
5. A 6-element array should be displayed as output
6. Open the selected record in Form view
7. Repeat step 4 and the result should be as step 5
8. Use the Save and Close button to return to grid view
9. Repeat step 4. This time, undefined is returned.

(*) This step requires the test.environment value in Openbravo.properties set to true (it is false by default)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 00244033.0MP29 closedAugustoMauch When the grid calls the datasource, it should not retrieve the properties that are not shown in the grid. 

-  Notes
(0060537)
hgbot (developer)
2013-08-07 16:27

Repository: erp/devel/pi
Changeset: 8b3d1a079183a8132c233d52b48014f492d2c530
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Aug 07 16:26:59 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/8b3d1a079183a8132c233d52b48014f492d2c530 [^]

fixed bug 24504, fixed bug 24502, related to bug 24403, related to bug 24402

  Backout of fix for issue 0024403 as it creates regressions 0024504 and 0024502

---
M modules/org.openbravo.client.application/src-db/database/sourcedata/AD_MESSAGE.xml
M modules/org.openbravo.client.application/src/org/openbravo/client/application/templates/ob-view-grid.js.ftl
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/FormInitializationComponent.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewFieldHandler.java
M modules/org.openbravo.client.application/src/org/openbravo/client/application/window/OBViewGridComponent.java
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0060599)
AugustoMauch (developer)
2013-08-16 08:41

Code reviewed and verified in pi@3fbf3113169e
(0060634)
hudsonbot (developer)
2013-08-16 20:32

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/59a1180e7f4f [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-08-07 12:46 plujan New Issue
2013-08-07 12:46 plujan Assigned To => AugustoMauch
2013-08-07 12:46 plujan Modules => Core
2013-08-07 12:46 plujan Triggers an Emergency Pack => No
2013-08-07 12:47 plujan Regression level => Automated tests
2013-08-07 12:47 plujan Regression date => 2013-07-30
2013-08-07 12:47 plujan Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/1724b65a331a [^]
2013-08-07 16:18 alostale Relationship added related to 0024403
2013-08-07 16:27 hgbot Checkin
2013-08-07 16:27 hgbot Note Added: 0060537
2013-08-07 16:27 hgbot Status new => resolved
2013-08-07 16:27 hgbot Resolution open => fixed
2013-08-07 16:27 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/8b3d1a079183a8132c233d52b48014f492d2c530 [^]
2013-08-08 15:25 alostale Review Assigned To => AugustoMauch
2013-08-16 08:41 AugustoMauch Note Added: 0060599
2013-08-16 08:41 AugustoMauch Status resolved => closed
2013-08-16 08:41 AugustoMauch Fixed in Version => 3.0MP27
2013-08-16 20:32 hudsonbot Checkin
2013-08-16 20:32 hudsonbot Note Added: 0060634


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker